Bug 588895 - memmove causes stack corruption on lossy network
Summary: memmove causes stack corruption on lossy network
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais
Version: 5.5
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Steven Dake
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords: ZStream
Depends On: 588489
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-04 19:16 UTC by Benjamin Kahn
Modified: 2016-04-26 15:21 UTC (History)
6 users (show)

(edit)
A memmove () operation on a high-loss network could have caused possible stack corruption resulting in stack protector abort due to an incorrectly-calculated length in the memmove() operation.
Clone Of:
(edit)
Last Closed: 2010-06-16 10:19:35 UTC


Attachments (Terms of Use)
backport of revision 2127 (498 bytes, patch)
2010-05-04 20:26 UTC, Steven Dake
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0486 normal SHIPPED_LIVE openais bug fix update 2010-06-16 10:19:25 UTC

Description Benjamin Kahn 2010-05-04 19:16:50 UTC
This bug has been copied from bug #588489 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 3 Steven Dake 2010-05-04 20:26:45 UTC
Created attachment 411406 [details]
backport of revision 2127

Comment 6 errata-xmlrpc 2010-06-16 10:19:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0486.html

Comment 7 Douglas Silas 2011-01-11 23:17:47 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A memmove () operation on a high-loss network could have caused possible stack corruption resulting in stack protector abort due to an incorrectly-calculated length in the memmove() operation.


Note You need to log in before you can comment on or make changes to this bug.